Katello - Refactor #4694

Use ui-sref-active instead of ng-class where appropriate
03/18/2014 10:10 PM - Walden Raines

Status: Rejected

Priority: Normal

Assignee:

Category: Web Ul

Target version:

Branch: Pull request:
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Description

See http://angular-ui.github.io/ui-router/site/#/api/ui.router.state.directive:ui-sref-active

We can then replace this:
<a class="{someClass: isState('blah')}" ui-sref="blah">Hello!</a>
with:

<a ui-sref-active="someClass" ui-sref="blah">Hello!</a>

Related issues:
Copied from Katello - Bug #4692: Some pages missing a title and just state 'K... Closed 03/18/2014

03/27/2014

History

#1 - 03/18/2014 10:10 PM - Walden Raines
- Copied from Bug #4692: Some pages missing a title and just state 'Katello' added

#2 - 03/21/2014 08:15 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:20 PM - Mike McCune
- Triaged deleted (Yes)

#4 - 06/04/2014 01:08 AM - Eric Helms

- Triaged set to Yes

#5 - 08/18/2014 02:04 PM - Eric Helms

- translation missing: en.field_release set to 14

#6 - 12/03/2014 04:17 PM - Eric Helms

- translation missing: en.field_release changed from 14 to 23

#7 - 02/06/2015 07:21 PM - Eric Helms

- translation missing: en.field_release deleted (23)

#8 - 12/21/2015 10:35 AM - Eric Helms

- translation missing: en.field_release set to 114

#9 - 08/28/2019 07:23 PM - John Mitsch

- Status changed from New to Closed

05/17/2024
http://angular-ui.github.io/ui-router/site/#/api/ui.router.state.directive:ui-sref-active

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the
new issue and reassess.

#10 - 08/28/2019 08:36 PM - Justin Sherrill
- Target version deleted (Katello Backlog)

#11 - 08/28/2019 08:44 PM - Justin Sherrill

- Status changed from Closed to Rejected

05/17/2024 22


http://www.tcpdf.org

